Changeset 524


Ignore:
Timestamp:
Aug 20, 2007 12:05:07 AM (12 years ago)
Author:
andreasw
Message:

merging changes from Bug Squashing Party Aug 2007 to regular trunk

Location:
ThirdParty/Lapack/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r444 r524  
    16841684
    16851685
     1686#turn off warnings and pedantic mode since they could make trouble on some platforms,
     1687#and we couldn't fix them anyway
     1688coin_skip_warn_fflags=yes
     1689
    16861690# Check if user wants to produce debugging code
    16871691
     
    18021806  if test "$enable_doscompile" != no; then
    18031807     case $build in
    1804        *-cygwin*) ;;
    1805        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1806 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1808       *-cygwin* | *-mingw*) ;;
     1809       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1810echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18071811   { (exit 1); exit 1; }; } ;;
    18081812     esac
     
    18121816fi;
    18131817 case "$enable_doscompile" in
    1814    msvc|mingw|no) ;;
     1818   mingw)
     1819     case $build in
     1820       *-mingw*) enable_doscompile=no ;;
     1821     esac
     1822     ;;
     1823   msvc|no) ;;
    18151824   yes) enable_doscompile=mingw ;;
    18161825   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    27622771          xlc* | */xlc* | mpxlc* | */mpxlc*)
    27632772            coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    2764             coin_add_cflags="-bmaxdata:0x80000000"
     2773            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27652774            coin_dbg_cflags="-g"
    27662775          ;;
     
    32073216
    32083217# Provide some information about the compiler.
    3209 echo "$as_me:3209:" \
     3218echo "$as_me:3218:" \
    32103219     "checking for Fortran 77 compiler version" >&5
    32113220ac_compiler=`set X $ac_compile; echo $2`
     
    34893498          xlf* | */xlf* | mpxlf* | */mpxlf* )
    34903499            coin_opt_fflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3491             coin_add_fflags="-bmaxdata:0x80000000"
     3500            coin_add_fflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    34923501            coin_dbg_fflags="-g -C"
    34933502            ;;
     
    53425351*-*-irix6*)
    53435352  # Find out which ABI we are using.
    5344   echo '#line 5344 "configure"' > conftest.$ac_ext
     5353  echo '#line 5353 "configure"' > conftest.$ac_ext
    53455354  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53465355  (eval $ac_compile) 2>&5
     
    77717780   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77727781   -e 's:$: $lt_compiler_flag:'`
    7773    (eval echo "\"\$as_me:7773: $lt_compile\"" >&5)
     7782   (eval echo "\"\$as_me:7782: $lt_compile\"" >&5)
    77747783   (eval "$lt_compile" 2>conftest.err)
    77757784   ac_status=$?
    77767785   cat conftest.err >&5
    7777    echo "$as_me:7777: \$? = $ac_status" >&5
     7786   echo "$as_me:7786: \$? = $ac_status" >&5
    77787787   if (exit $ac_status) && test -s "$ac_outfile"; then
    77797788     # The compiler can only warn and ignore the option if not recognized
     
    80398048   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80408049   -e 's:$: $lt_compiler_flag:'`
    8041    (eval echo "\"\$as_me:8041: $lt_compile\"" >&5)
     8050   (eval echo "\"\$as_me:8050: $lt_compile\"" >&5)
    80428051   (eval "$lt_compile" 2>conftest.err)
    80438052   ac_status=$?
    80448053   cat conftest.err >&5
    8045    echo "$as_me:8045: \$? = $ac_status" >&5
     8054   echo "$as_me:8054: \$? = $ac_status" >&5
    80468055   if (exit $ac_status) && test -s "$ac_outfile"; then
    80478056     # The compiler can only warn and ignore the option if not recognized
     
    81438152   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81448153   -e 's:$: $lt_compiler_flag:'`
    8145    (eval echo "\"\$as_me:8145: $lt_compile\"" >&5)
     8154   (eval echo "\"\$as_me:8154: $lt_compile\"" >&5)
    81468155   (eval "$lt_compile" 2>out/conftest.err)
    81478156   ac_status=$?
    81488157   cat out/conftest.err >&5
    8149    echo "$as_me:8149: \$? = $ac_status" >&5
     8158   echo "$as_me:8158: \$? = $ac_status" >&5
    81508159   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81518160   then
     
    1048810497  lt_status=$lt_dlunknown
    1048910498  cat > conftest.$ac_ext <<EOF
    10490 #line 10490 "configure"
     10499#line 10499 "configure"
    1049110500#include "confdefs.h"
    1049210501
     
    1058810597  lt_status=$lt_dlunknown
    1058910598  cat > conftest.$ac_ext <<EOF
    10590 #line 10590 "configure"
     10599#line 10599 "configure"
    1059110600#include "confdefs.h"
    1059210601
     
    1293212941   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293312942   -e 's:$: $lt_compiler_flag:'`
    12934    (eval echo "\"\$as_me:12934: $lt_compile\"" >&5)
     12943   (eval echo "\"\$as_me:12943: $lt_compile\"" >&5)
    1293512944   (eval "$lt_compile" 2>conftest.err)
    1293612945   ac_status=$?
    1293712946   cat conftest.err >&5
    12938    echo "$as_me:12938: \$? = $ac_status" >&5
     12947   echo "$as_me:12947: \$? = $ac_status" >&5
    1293912948   if (exit $ac_status) && test -s "$ac_outfile"; then
    1294012949     # The compiler can only warn and ignore the option if not recognized
     
    1303613045   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303713046   -e 's:$: $lt_compiler_flag:'`
    13038    (eval echo "\"\$as_me:13038: $lt_compile\"" >&5)
     13047   (eval echo "\"\$as_me:13047: $lt_compile\"" >&5)
    1303913048   (eval "$lt_compile" 2>out/conftest.err)
    1304013049   ac_status=$?
    1304113050   cat out/conftest.err >&5
    13042    echo "$as_me:13042: \$? = $ac_status" >&5
     13051   echo "$as_me:13051: \$? = $ac_status" >&5
    1304313052   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304413053   then
     
    1460614615   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460714616   -e 's:$: $lt_compiler_flag:'`
    14608    (eval echo "\"\$as_me:14608: $lt_compile\"" >&5)
     14617   (eval echo "\"\$as_me:14617: $lt_compile\"" >&5)
    1460914618   (eval "$lt_compile" 2>conftest.err)
    1461014619   ac_status=$?
    1461114620   cat conftest.err >&5
    14612    echo "$as_me:14612: \$? = $ac_status" >&5
     14621   echo "$as_me:14621: \$? = $ac_status" >&5
    1461314622   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461414623     # The compiler can only warn and ignore the option if not recognized
     
    1471014719   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471114720   -e 's:$: $lt_compiler_flag:'`
    14712    (eval echo "\"\$as_me:14712: $lt_compile\"" >&5)
     14721   (eval echo "\"\$as_me:14721: $lt_compile\"" >&5)
    1471314722   (eval "$lt_compile" 2>out/conftest.err)
    1471414723   ac_status=$?
    1471514724   cat out/conftest.err >&5
    14716    echo "$as_me:14716: \$? = $ac_status" >&5
     14725   echo "$as_me:14725: \$? = $ac_status" >&5
    1471714726   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1471814727   then
     
    1691716926   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691816927   -e 's:$: $lt_compiler_flag:'`
    16919    (eval echo "\"\$as_me:16919: $lt_compile\"" >&5)
     16928   (eval echo "\"\$as_me:16928: $lt_compile\"" >&5)
    1692016929   (eval "$lt_compile" 2>conftest.err)
    1692116930   ac_status=$?
    1692216931   cat conftest.err >&5
    16923    echo "$as_me:16923: \$? = $ac_status" >&5
     16932   echo "$as_me:16932: \$? = $ac_status" >&5
    1692416933   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692516934     # The compiler can only warn and ignore the option if not recognized
     
    1718517194   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718617195   -e 's:$: $lt_compiler_flag:'`
    17187    (eval echo "\"\$as_me:17187: $lt_compile\"" >&5)
     17196   (eval echo "\"\$as_me:17196: $lt_compile\"" >&5)
    1718817197   (eval "$lt_compile" 2>conftest.err)
    1718917198   ac_status=$?
    1719017199   cat conftest.err >&5
    17191    echo "$as_me:17191: \$? = $ac_status" >&5
     17200   echo "$as_me:17200: \$? = $ac_status" >&5
    1719217201   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719317202     # The compiler can only warn and ignore the option if not recognized
     
    1728917298   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729017299   -e 's:$: $lt_compiler_flag:'`
    17291    (eval echo "\"\$as_me:17291: $lt_compile\"" >&5)
     17300   (eval echo "\"\$as_me:17300: $lt_compile\"" >&5)
    1729217301   (eval "$lt_compile" 2>out/conftest.err)
    1729317302   ac_status=$?
    1729417303   cat out/conftest.err >&5
    17295    echo "$as_me:17295: \$? = $ac_status" >&5
     17304   echo "$as_me:17304: \$? = $ac_status" >&5
    1729617305   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1729717306   then
     
    2021820227ac_save_FFLAGS=$FFLAGS
    2021920228FFLAGS="$FFLAGS $ac_verb"
    20220 (eval echo $as_me:20220: \"$ac_link\") >&5
     20229(eval echo $as_me:20229: \"$ac_link\") >&5
    2022120230ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2022220231echo "$ac_f77_v_output" >&5
     
    2029620305ac_save_FFLAGS=$FFLAGS
    2029720306FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20298 (eval echo $as_me:20298: \"$ac_link\") >&5
     20307(eval echo $as_me:20307: \"$ac_link\") >&5
    2029920308ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2030020309echo "$ac_f77_v_output" >&5
  • ThirdParty/Lapack/trunk/configure.ac

    r354 r524  
    4141AC_CANONICAL_BUILD
    4242
     43#turn off warnings and pedantic mode since they could make trouble on some platforms,
     44#and we couldn't fix them anyway
     45coin_skip_warn_fflags=yes
     46
    4347# Check if user wants to produce debugging code
    4448AC_COIN_DEBUG_COMPILE(Lapack)
  • ThirdParty/Lapack/trunk/get.Lapack

    r388 r524  
    33set -e
    44
     5wgetcmd=wget
    56wgetcount=`which wget 2>/dev/null | wc -w`
    67if test ! $wgetcount = 1; then
    78  echo "Utility wget not found in your PATH."
    8   exit -1
     9  if test `uname` = Darwin; then
     10    wgetcmd=ftp
     11    echo "Using ftp command instead."
     12  else
     13    exit -1
     14  fi
    915fi
    1016
     
    1521rm -f lapack.tgz
    1622echo "Downloading the source code from www.netlib.org..."
    17 wget ftp://www.netlib.org/lapack/lapack-lite-3.1.0.tgz
     23$wgetcmd ftp://www.netlib.org/lapack/lapack-lite-3.1.0.tgz
    1824
    1925echo "Uncompressing the tarball..."
Note: See TracChangeset for help on using the changeset viewer.